[PATCH] osmo-gsm-manuals[master]: add jenkins.sh script for jenkins build job

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Sun Oct 16 23:46:59 UTC 2016


Review at  https://gerrit.osmocom.org/1080

add jenkins.sh script for jenkins build job

Change-Id: I6c3d959202f510f0c9780d0fa28c769ea9d721e8
---
A contrib/jenkins.sh
1 file changed, 14 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-gsm-manuals refs/changes/80/1080/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..2e1d617
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+set -ex
+
+base="$PWD"
+deps="$base/deps"
+
+mkdir "$deps" || true
+
+cd "$deps"
+osmo-deps.sh libosmocore
+
+cd "$base"
+$MAKE $PARALLEL_MAKE LIBOSMO_DIR="$deps/libosmocore"

-- 
To view, visit https://gerrit.osmocom.org/1080
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I6c3d959202f510f0c9780d0fa28c769ea9d721e8
Gerrit-PatchSet: 1
Gerrit-Project: osmo-gsm-manuals
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list